#ifndef RundenTeamStatistik_H
#define RundenTeamStatistik_H

#include <Text.h>
#include <InitDatei.h>

using namespace Framework;

class RundenTeamStatistik
{
private:
	int teamNummer;
	Text *teamName;
	int teamFarbe;
	int ergebnis;
	int linienLength;
	int kills;
	int tode;
	int ref;

public:
	// Konstruktor
	RundenTeamStatistik();
	// Destruktor
	~RundenTeamStatistik();
	// nicht constant
	void initValues( InitDatei *dat );
	// constant
	int getTeamNummer() const;
	Text *getTeamName() const;
	Text *zTeamName() const;
	int getTeamFarbe() const;
	int getErgebnis() const;
	int getLinienLength() const;
	int getKills() const;
	int getTode() const;
	// Reference Counting
	RundenTeamStatistik *getThis();
	RundenTeamStatistik *release();
};

#endif